Karia
ReferencesOpenapiContact

Get contact

GET
/organisation/{orgId}/workspace/{workspaceId}/contact/{contactId}

Retrieve a contact in the specified organisation and workspace by numeric ID or contact reference ID.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
contactId*string

Response Body

Successful response

application/json
  1. response
id*integer
Range-2147483648 <= value <= 2147483647
version*integer
Range-2147483648 <= value <= 2147483647
createdAt*string
createdBy*string
Lengthlength <= 50
deletedAt*string|null
lastUpdatedAt*string|null
lastUpdatedBy*|null
type*string
Lengthlength <= 50
status*|null
firstName*string
Lengthlength <= 75
lastName*string
Lengthlength <= 75
middleNames*|null
preferredName*string
Lengthlength <= 50
title*|null
dateOfBirth*string|null
relationshipStatus*|null
numberOfDependents*|null
residencyStatus*|null
referenceId*|null
preferredContactMethods*array<string>|null
description*|null
externalReference*|null
metadata*string|number|boolean|null||array<unknown>|null
userId*|null
employerId*|null
workspaceId*integer
Range-2147483648 <= value <= 2147483647
organisationId*integer
Range-2147483648 <= value <= 2147483647
fullNameSearch*string|null
contactMethods*array<>
addresses*array<>
Example Request
curl -X GET 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/contact/string'
Example Response
{  "id": -2147483648,  "version": -2147483648,  "createdAt": "string",  "createdBy": "string",  "deletedAt": "string",  "lastUpdatedAt": "string",  "lastUpdatedBy": "string",  "type": "string",  "status": "string",  "firstName": "string",  "lastName": "string",  "middleNames": "string",  "preferredName": "string",  "title": "string",  "dateOfBirth": "string",  "relationshipStatus": "string",  "numberOfDependents": -2147483648,  "residencyStatus": "string",  "referenceId": "string",  "preferredContactMethods": [    "string"  ],  "description": "string",  "externalReference": "string",  "metadata": "string",  "userId": "2c4a230c-5085-4924-a3e1-25fb4fc5965b",  "employerId": -2147483648,  "workspaceId": -2147483648,  "organisationId": -2147483648,  "fullNameSearch": "string",  "contactMethods": [    {      "id": -2147483648,      "type": "string",      "value": "string",      "contactId": -2147483648    }  ],  "addresses": [    {      "id": -2147483648,      "deletedAt": "string",      "lastUpdatedAt": "string",      "lastUpdatedBy": "string",      "type": "string",      "addressLine1": "string",      "addressLine2": "string",      "unitNumber": "string",      "streetNumber": "string",      "streetName": "string",      "state": "string",      "suburb": "string",      "city": "string",      "postCode": "string",      "country": "string",      "contactId": -2147483648    }  ]}